Disk-Data-Transfer (DDT) fra Cibmal


Forml

DDT bruges til at mle hastigheden af diske, DDT giver et ml for hastigheden
af hele processen fra lsning p den fysiske disk til data kan bruges af et
program i PC'en. Der er ingen fare for, at DDT under mlingerne kan skade de
data, der er lagret p disken, da der udelukkende foretages lsninger gennem
dokumenterede DOS-kald.

Teknisk beskrivelse

Test via DOS og ikke direkte via BIOS er valgt, da disklsninger normalt fore-
gr gennem denne kde:

Ŀ     Ŀ     Ŀ     Ŀ     Ŀ
 Prog.  <->  DOS  <->  BIOS  <->  Ctrl  <->  Disk 
                    

Der kan yderligere vre indskudt cache-software mellem [Prog.] og [DOS] og/
eller mellem [DOS] og [BIOS]. Eventuel kan der vre cache p controlleren som
vil dele [Ctrl] i to led, Endeligt kan disken selv have cache, s [Disk] skal
deles i intern-cache og medie.

For at opn et reeelt ml for disk-hastigheden i en PC skal alle disse led
tages med i betragtning. Programmer der mler hastigheden uden om DOS giver et
ml for diskhastigheden som ikke er relevant ved almindelig andvendelse af
maskinen, idet programmer normalt lser via DOS.

Hvis man nsker at ge diskhastigheden i en maskine er der alts andre mulig-
heder end at kbe en hurtigere disk. Det kan muligvis betale sig at ndre p
cache-strrelse eller hastighed af controller.

Teststrategi

DDT tester med forskellige blokstrrelser i intervallet fra 0.5 Kb til 63.5 Kb.
At der testes med 63.5 og ikke 64 kb som strste blok skyldes at nogle kombi-
nationer af DOS/BIOS/Ctrl/Disk ikke kan hndtere 64Kb blokke korrekt. DOS
anvender typisk 0.5 Kb blokke som med standard sektor-strelse p 0.5 Kb
betyder at DDT tester fra 127 ned til 1 sektor per lsning.

DDT tester ved at lse blokke i et givet tidsrum, og tlle hvor mange blokke
der blev lst. Der testes med to slags lsning:

 - Unik     : Der lses p hinanden flgende blokke.
 - Gentaget : Samme blok lses hver gang.

Fysiske grnser for hastighed

Hvis der ikke er nogen form for cache-software, p controller eller p disk -
vil [Gentaget] give et meget lavt tal, da disken s skal rotere en hel omgang
for at lse samme data igen. Det vil med en normal diskomdrejningshastighed p
3600 omd/min (60 omd/s) give en hastighed p 30Kb/s ved 0.5Kb blokke. Ved unik
lsning vil en standard MFM disk med 17 fysiske sekorer per spor, uden cache,
sledes maksimalt kunne give 510 KB/s (17 sect*0.5Kb/sect*60omd/s). IDE diske
(ogs kaldet "AT-bus") og SCSI diske af de bedre krer med ca 1.5 gang hjere
omdrejningshastighed og med ca 4 gange flere fysiske sektorer per spor, Det
betyder at den maksimalt opnelige hastighed er ca 6 gange strre (dvs ca 3000
Kb/s) 

Specielle forhold ved READ-AHEAD cache

P nogen konfigurationer med cache vil tal for gentaget lsning vre mindre
end uden cache, Dette er IKKE ndvendigvis en fejl, hvis cache systemet er af
den skaldte "Read-ahead" type. Iden i read-ahead cache er, at gemme de data
der ligger umiddelbart efter det disken blev bedt om at lse, nr disse data
alligevel passerer lsehovedet, i stedet for at gemme det der allerede er
lst. Det er mere sandsynligt at et program nsker at lse de efterflgende
data end dem det lige har lst, srligt da DOS med sine buffere (antalet kan
ges med BUFFERS= i CONFIG.SYS) ved lsning af filer gemmer de just lste
data, og sledes ikke vil hente data fra disken hvis et program forsger at
lse samme data en gang til.

Store cache-strrelser

Ved store cache strelser fx 10Mb eller ved sm diskpartititioner, der er
mindre end cache strrelsen (samt p RAM-diske), vil DDT give nogle meget
hje tal fx over 20000 Kb/s. Dette er ikke som sdan forkert, det indikerer
normalt bare at hele det omrde der testes er indeholdt i RAM, og det er
sledes access til RAM og ikke selve disken der mles p. Men det vil ogs
vre den access et normalt program vil 'opleve'.

Controller-cache kontra Software-cache

Nogle brugere med avancerede controllere - med fx 8Mb cache -  vil mske undre
sig over at de fr vsentligt lavere mlersultater, end hvis de afstter en
tilsvarende mngde RAM til et hurtigt cache program. Hurtige cache programmer
er der ikke mange af, men det der flger med DOS 5 -ikke DOS 6- er et af dem,
Qcache v4.00 der flger med 386MAX v6.00 er endnu hurtigere. Dette rent
umiddelbart overraskende forhold skyldes at den avancerede controller ikke kan
aflevere data ret hurtigt over en normal ISA-bus. Typisk vil det give maksi-
male hastigheder nede omkring 1000 Kb/s, selv ved gentaget lsning. Normalt vil
det, hvis det er muligt, derfor vre at anbefale at flytte RAM over p mother-
boardet og installere en STOR software cache, dette glder dog ikke hvis maski-
nen er meget langsom (286).



Et Cibmal cache-program der er skrevet direkte til AT-bus diske og IKKE
anvender BIOS forventes releaset ultimo '93



DDT er en del af en strre samling utility programmer fra CIBMAL, der kan kbes
samlet under navnet CIBUTIL. Kontakt CIBMAL eller din forhandler for yderligere
informationer om disse programmer.

