
 ERD Is a resident debugging tool supporting full 8088-80486 processors
 The program is made for real/v86 mode, disassemble of protected mode code
 are possible.

 Assuming ERD resides in "c:\util", invoke ERD.COM either by placing
   device=c:\util\ERD.COM [i#] [m] [n] [p] [#] [x]
 in config.sys or from dos by
   c:\util\ERD [i#] [m] [n] [p] [#] [x]

 (if placed in config.sys 50h bytes are saved, and debuging of device
  drivers are possible - see X)

 all parameters are optional

  i# : Use irq# to start ERD. (#=0..F)
  m  : Use mono-colours
  n  : Use NMI to start ERD (hint: avoid on 386 and up, use i#)
  p  : Use PrtSc to start ERD. This parameter assumes that ERkbd is used. If
       this parameter is used, a PrtSc of the userscreen can be achieved by
         PrtSc, F7, PrtSc, F1, F1     (Get ERD, UsrScr, PrtSc, Any Key, Go)
       (If ERkbd are'nt used, the pop's might have to be modified and you
        might need to issue some commands to the keyboard-controller too.
        The code for int5 are placed at the bottom of ERD.COM, and the next
        Kb will be moved along with the present code to make changes easy.
        If you're using any of the nop's or expand the file, remember to
        modify the paragraph count saved after "cmp al,p" in the init code.
        If the above seems odd, you are NOT qualified to do it !)
  #  : Use backscreen # for userscreen-storage (saves 0F00h bytes if possible)
       if # is the current default screen, the parameter is ignored. (#=0..7)
       (If reload of ERD are atemted, not using the default screen number, the
        resident part will be modified to use the specified (new) screennumber)
  x  : An (Trap) interrupt is issued at the first instruction after ERD, if
       used as device: pointing at code just beyond the deviceissuing call,
       if used as TSR program: pointing at int 21 entry for the exiting
       procedure. Both allowing you to debug the post-loading code, and the
       loading sequence for the next program beeing loaded.

 In addition to the startup interrupts defined above, ERD will be activated
 by int 1 & 3  (i.e. Step/trap & Break)

 Inside ERD

 Functionkeys
  F1: Go
  F2: Set temporary breakpoint after this instruction, and go.
  F3: Step, interrupts are treated like F2. (*)
  F4: Trace, step one instruction, step into interrupts.
  F5: Drop application and (attempt a) return to dos.
  F6: Swap between disas.-/memory-mode.
  F7: Show userscreen.
  F8: Clear last set linepointer (cleanup after PgUp/PgDn/UpAr/DnAr).
  F9: Drop instruction
 F10: Toggle 32/16 bit segment default disass.
Home/End//Del: Edit commandline
 Esc: Clear commandline
 Ent: Calculate commandline
PgUp/PgDn/: Scroll up/down begining at last linepointer set after EL1

(*) If F3 are used to do an entire interrupt in RO-area the processor
    will perform one instruction after the INT # before returning to ERD
    (no breakpoints in RO).

The following 16-bit registers are defined
    IP                        (instruction pointer)
    ES,CS,SS,DS , FS,GS       (normal cpu/386-cpu segment registers)
The following registers are defined as 16-bit. On 80386 and higher the
32-bit registers are defined with a preceding 'E'
    AX,CX,DX,BX,SP,BP,SI,DI   (normal cpu registers)
    FL                        (cpu flag)
Additionaly registers (precede by an 'E' to use as 32-bit regs.)
    X0,X1,..,X9 (Breakpoints)
       U1,..,U9 (Storage)
    LX,L0,..,LF (Line pointers. Note ELXCS:IP )

Registers can be assigned a hex value
 i.e.    AX1234
or assigned another register
 i.e.    AXBX
or cleared
 i.e.    AX

Breakpoints and linepointers are set as:
         X1BX
to set breakpoint no. 1 at cs:bx,
or assigned a 32-bit value, interpreted as a segmented pointer
         EL6,1234:5678  (shorthand: EL612345678 )

NOTE: X0 is a conditional breakpoint only active if the byte at [EU1]
      is NOT equal to the value of U2

More complex register handling using the ':' operator:
  D[CS:BX+DI],D[DS:CX-EBX+AX]
in shorthand:
  D[CS:BXDI[DS:CX-EBXAX
if used as index registers the 32-bit registers are (incorectly) used as
  high-part:low-part

After Enter the cursor will return to the begining of the line, or be placed
at the first uninterpreted character. This could point out an Error, or be
used to keep the cursor at the end for further editing ( simply add a ; )
If all characters are interpreted an ESC will be executed at the next
keystroke, unless the key is an editing key, thereby clearing the line.
